#include "src/adddialog.h"
#include "ui_adddialog.h"
#include "createeventdialog.h"
#include <QIcon>
#include <QPixmap>
#include <QResource>
#include <QPushButton>
#include <QSize>

#include  <QListView>

AddDialog::AddDialog(MEventModel* aEventModel,
                     MEvent* aEvent,
                     QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AddDialog)
{
    mEventModel = aEventModel;
    mEvent = aEvent;
    ui->setupUi(this);
    ui->listView->setModel( (QAbstractItemModel*)mEventModel->model() );
    ui->listView->setSelectionMode(QAbstractItemView::SingleSelection);
    ui->listView->setEditTriggers(QAbstractItemView::NoEditTriggers);

    ui->listView->setViewMode(QListView::IconMode);

    connect(ui->listView, SIGNAL(doubleClicked(QModelIndex) ), this, SLOT(addEventType(QModelIndex) ) );
    //connect(ui->listView, SIGNAL(clicked(QModelIndex)), this, SLOT(addEventType(QModelIndex)));
    connect(ui->backButton, SIGNAL(clicked()),
            this, SLOT(reject() ) );

    QResource::registerResource("appdata/pictures.qrc");
    QIcon* icon = new QIcon();
    icon->addFile(":appdata/back.jpg");
    ui->backButton->setIcon(*icon);

}


void AddDialog::addEventType(QModelIndex aEventType)
{
    mEvent->setEventType(aEventType);
    ChooseDatesDialog* dateDialog = new ChooseDatesDialog(mEvent, this);
    int rv = dateDialog->exec();
    dateDialog->deleteLater();
    if(rv == QDialog::Accepted)
    {
       this->accept();
    }

}


AddDialog::~AddDialog()
{
    delete ui;
}

