#include "src/choosedatesdialog.h"
#include "ui_choosedatesdialog.h"
#include <QDateTime>
#include <QResource>

#include "createeventdialog.h"


ChooseDatesDialog::ChooseDatesDialog(MEvent* aEvent, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ChooseDatesDialog)
{
    mEvent = aEvent;
    ui->setupUi(this);
    showMaximized();
    connect(ui->backButton, SIGNAL(clicked()),
            this, SLOT(reject() ) );
    connect(ui->calendarWidget, SIGNAL(clicked(QDate)),
            this, SLOT(goToCreateEventDialog(QDate) ) );

    QResource::registerResource("appdata/pictures.qrc");
    QIcon* icon = new QIcon();
    icon->addFile(":appdata/back.jpg");
    ui->backButton->setIcon(*icon);

}

ChooseDatesDialog::~ChooseDatesDialog()
{
    delete ui;
}

void ChooseDatesDialog::goToCreateEventDialog(QDate aDate)
{
    mEvent->setDate(aDate);
    QDateTime today = QDateTime::currentDateTime();
    QDate todayDate = today.date();
    if(aDate < todayDate )
        return;
    CreateEventDialog* eventDialog = new CreateEventDialog(mEvent, this);
    int rv = eventDialog->exec();
    eventDialog->deleteLater();
    if(rv == QDialog::Accepted)
    {
        this->accept();
    }

}

void ChooseDatesDialog::addEventType(QModelIndex aEventType)
{
    CreateEventDialog* eventDialog = new CreateEventDialog(mEvent,
                                                           this);
    eventDialog->setModelIndex(aEventType);
    eventDialog->exec();
    eventDialog->deleteLater();

}
