//////////////////////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
/////////////////////////////////////////////////////////
//
//Displays time selection slider dialog to user
////////////////////////////////////////////////////////
#ifndef CREATEEVENTDIALOG_H
#define CREATEEVENTDIALOG_H

#include <QDialog>
#include <QModelIndex>
#include <QTime>
#include <QSlider>
#include <QTimeEdit>

#include "mevent.h"

namespace Ui {
    class CreateEventDialog;
}

class CreateEventDialog : public QDialog
{
    Q_OBJECT

public:
    explicit CreateEventDialog(MEvent *aEvent,
                               QWidget *parent = 0);
    ~CreateEventDialog();
    void setModelIndex(QModelIndex& aModel);
    void setSlider(QSlider* aSlider, QTime aValue );
    void setTime(QTimeEdit* aTimeEdit, int aValue );


private slots:
    void fromTimeToIntStart(QTime aTime);
    void fromTimeToIntEnd(QTime aTime);
    void fromIntToTimeStart(int aHour);
    void fromIntToTimeEnd(int aHour);
    void saveTimes();
private:
    void printDate();



    Ui::CreateEventDialog *ui;

    QModelIndex mModelIndex;
    MEvent* mEvent;
};

#endif // CREATEEVENTDIALOG_H
