////////////////////////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
////////////////////////////////////////////////////////////
//
//Data storage class for calendar event. Stores event type,
//time and its location.
////////////////////////////////////////////////////////////
#ifndef EVENT_H
#define EVENT_H

#include "mevent.h"

class Event: public MEvent
{
public:
    Event();
    ~Event();
    void setStartTime(const int aHour);
    void setEndTime(const int aHour);
    void setTime(const int aStartHour, const int aEndHour);
    void setEventLocation(const QString aAddress);
    void setEventType(const QModelIndex aEventType);
    void setDate(const QDate aDate);

    int endTime() const;
    int startTime() const;
    QString eventLocation() const;
    QModelIndex eventType() const;
    QDate date() const;

private:
    //Start hour of the event
    int mStartHour;

    //End hour of the event
    int mEndHour;

    //Location of the event as string. E.g. Address
    QString mEventLocation;

    //Event type. It points to the event type model
    QModelIndex mEventType;

    //Date of the event
    QDate mDate;

};

#endif // EVENT_H
