#include "eventstorage.h"

EventStorage::EventStorage()
{
}

EventStorage::~EventStorage()
{
    clearList();
}

void EventStorage::clearList()
{
    for(int i=0; i < mEventList.size(); i++)
    {
        mEventList.removeAt( i );
    }
}//clearList


void EventStorage::addEvent(MEvent *aEvent)
{
    mEventList.push_back(aEvent);
}

MEvent* EventStorage::eventAt(const int aIndex)
{
    return mEventList.at( aIndex);
}

int EventStorage::size() const
{
    return mEventList.size();
}

int EventStorage::removeEvent(const int aIndex)
{
    if(aIndex < 0 || aIndex > mEventList.size() )
        return EEventNotFound;
    mEventList.removeAt( aIndex );
    return ENoError;
}

int EventStorage::removeEvent(MEvent *aEvent)
{
    bool rv = mEventList.removeOne( aEvent );
    if(!rv)
        return EEventNotFound;
    return ENoError;
}

bool EventStorage::dateHasEvent(const QDate aDate)
{
    for(int i=0; i < mEventList.size(); i++)
    {
        QDate listEventDate = mEventList.at(i)->date();
        if(listEventDate == aDate)
            return true;
    }
    return false;
}

QList<MEvent*> EventStorage::dayEvents(QDate aDate)
{
    QList<MEvent*> dayList;
    for(int i = 0; i < mEventList.size(); i++ )
    {
        QDate tempDate = mEventList.at(i)->date();
        if( tempDate == aDate )
        {
            dayList << mEventList.at(i);
        }
    }
    return dayList;
}//allEvents
