#ifndef EVENTSTORAGE_H
#define EVENTSTORAGE_H

//////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
//////////////////////////////////////////
//
//Stores events
//////////////////////////////////////////
#include "mevent.h"
#include <QList>
#include <QDate>

class EventStorage
{
public:
    enum Errors
    {
        ENoError = 0,
        EEventNotFound = -1
    };

    EventStorage();
    ~EventStorage();

    //Adds event to the list
    void addEvent(MEvent* aEvent);

    //Returns the number of events in the list
    int size() const;

    //Destroys stored list
    void clearList();

    //Returns pointer to the event in aIndex
    MEvent* eventAt(const int aIndex);

    //Deletes event aIndex from the list
    //Returns ENoError on success or EEventNotFound
    //on error
    int removeEvent(const int aIndex);

    //Deletes event aEvent. Returns ENoError on
    //success or EEventNotFound on error
    int removeEvent(MEvent* aEvent);

    //Returns true if given date has an event
    bool dateHasEvent(const QDate aDate);

    //Returns list of events for given date
    QList<MEvent*> dayEvents(QDate aDate);
private:
    //List of events
    QList<MEvent*> mEventList;
};

#endif // EVENTSTORAGE_H
