//////////////////////////////////////////
//QtConstruction
//Maemo Codecamp 2010
//Jukka Stranden & Marko Suhonen
//////////////////////////////////////////
//
//Interface class representing calendar events.
//Implementations of events are used throug
//this interface
//////////////////////////////////////////
#ifndef MEVENT_H
#define MEVENT_H

#include <QString>
#include <QDate>
#include <QModelIndex>

class MEvent
{
public:
    virtual ~MEvent(){ }
    virtual void setStartTime( const int aHour ) = 0;
    virtual void setEndTime( const int aHour ) = 0;
    virtual void setTime( const int aStartHour, const int aEndHour ) = 0;
    virtual void setEventLocation(const QString aAddress ) = 0;
    virtual void setEventType(const QModelIndex aEventType ) = 0;
    virtual void setDate( const QDate aDate ) = 0;

    virtual int endTime() const = 0;
    virtual int startTime() const = 0;
    virtual QString eventLocation( ) const = 0;
    virtual QModelIndex eventType( ) const = 0;
    virtual QDate date() const = 0;
};

#endif // MEVENT_H
