#include "src/showinfodialog.h"
#include "ui_showinfodialog.h"
#include <QResource>
#include "eventstorage.h"

ShowInfoDialog::ShowInfoDialog(QList<MEvent*> aDayEvents, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ShowInfoDialog)
{
    ui->setupUi(this);
    showMaximized();
    //adding resource
    QResource::registerResource("appdata/pictures.qrc");
    //adding icon (back):
    QIcon* icon = new QIcon();
    icon->addFile(":appdata/back.jpg");
    ui->backButton->setIcon(*icon);
    //handler to the back button
    connect(ui->backButton, SIGNAL(clicked()),
            this, SLOT(reject() ) );
    //setting text as "" at first
    ui->dateLabel->setText("");

     //string info is same as dateLabel(text) in UI
     QString info = ui->dateLabel->text();
     MEvent* eventD=NULL;
     //going thru all days events
    for(int i=0; i<aDayEvents.size();i++){

        eventD= aDayEvents.at(i);
        //getting variables startTime, EndTime and eventType:
        //also changing number in string..
        QString startT=QString::number(eventD->startTime());
        QString endT=QString::number(eventD->endTime());
        QString string= eventD->eventType().data().toString();
        //adding parameters to the string
        info.append(startT+"-"+endT+"  "+string+"\n");

    }
    //getting date
    QDate qday = eventD->date();
    int year;
    int month;
    int day;
    qday.getDate(&year, &month, &day);
    QString date;
    date.append(QString::number(day)+
                    "."+QString::number(month)+
                    "."+QString::number(year));

    ui->day->setText(date);
    ui->dateLabel->setText(info);
}

ShowInfoDialog::~ShowInfoDialog()
{
    delete ui;
}
